define(function () {
    return {
        close: function () {
            $('#overlay').hide();
        },
        open: function (text, callback) {
            var self = this,
                $overlay = $('#overlay');
            $overlay.find('#message-content').html(text);
            $overlay.show();
            $overlay.find('#confirm').off().on('tap', function() {
                callback(true);
                self.close();
            });
            $overlay.find('#abort').off().on('tap', function() {
                callback(false);
                self.close();
            });
        }
    };
});